ACOS(3)

NAME
acos, acosf, acosl - arc cosine function

SYNOPSIS
#include <math.h>

double acos(double x);
float acosf(float x);
long double acosl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

acosf(), acosl():
    _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99

DESCRIPTION
The acos() function calculates the arc cosine of x; that is the value whose cosine is x.

RETURN VALUE
On success, these functions return the arc cosine of x in radians; the return value is in the range [0, pi]. If x is a NaN, a NaN is returned. If x is +1, +0 is returned. If x is positive infinity or negative infinity, a domain error occurs, and a NaN is returned. If x is outside the range [-1, 1], a domain error occurs, and a NaN is returned.

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions.

The following errors can occur:

Domain error: x is outside the range [-1, 1]
    errno is set to EDOM. An invalid floating-point exception (FE_INVALID) is raised.

CONFORMING TO
C99, POSIX.1-2001. The variant returning double also conforms to SVr4, 4.3BSD, C89.

SEE ALSO
asin(3), atan(3), atan2(3), cacos(3), cos(3), sin(3), tan(3)

COLOPHON
This page is part of release 3.32 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.